---
title: "Get available payment methods"
description: "Lists the payment methods available to the merchant for checkout payments. Use the optional amount and currency filters to check eligibility for a particular payment before presenting payment options to the payer."
image: "https://developer.sumup.com/og/index.png"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.sumup.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: SumUp REST API › Checkouts

`GET /v0.1/merchants/{merchant_code}/payment-methods`

Lists the payment methods available to the merchant for checkout payments. Use the optional amount and currency filters to check eligibility for a particular payment before presenting payment options to the payer.

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`
- `oauth2`, oauth2

## Path parameters

- `merchant_code` (`GetPaymentMethods.path.merchant_code`; string, required) — Short unique identifier for the merchant.
  - example `"MH4H92C7"`

## Query parameters

- `amount` (`GetPaymentMethods.query.amount`; number, optional) — Payment amount in major units, for example `9.99` for EUR 9.99. When filtering by `amount`, also provide `currency`.
  - example `9.99`
- `currency` (`GetPaymentMethods.query.currency`; string, optional) — Three-letter ISO 4217 currency code for which the payment methods should be eligible, for example `EUR`.
  - example `"EUR"`

## Code samples

### CLI

```bash
sumup checkouts payment-methods \
  --merchant-code "MH4H92C7"

```

### JavaScript

```typescript
import SumUp from "@sumup/sdk";

async function main() {
  const client = new SumUp({ apiKey: "sup_sk_your_api_key" });

  const result = await client.checkouts.listAvailablePaymentMethods(
    "MH4H92C7",
    {
      "amount": 9.99
    }
  );
  console.log(result);
}

main().catch(console.error);

```

### .NET

```csharp
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using SumUp;

public static class Program
{
    public static async Task Main()
    {
        using var client = new SumUpClient();
        var response = await client.Checkouts.ListAvailablePaymentMethodsAsync(
            "your-merchant-code",
            new CheckoutsListAvailablePaymentMethodsOptions
            {
                Amount = 10.00m,
                Currency = "example",
            });

        Console.WriteLine(response.StatusCode);
    }
}

```

### Java

```java
import com.sumup.sdk.SumUpClient;

public final class GetPaymentMethodsSample {
  public static void main(String[] args) throws Exception {
    var client = new SumUpClient();

    var result = client.checkouts().listAvailablePaymentMethods(
            "MH4H92C7"
        );
    System.out.println(result);
  }
}

```

### Python

```python
import os

import sumup

client = sumup.Sumup(api_key=os.environ["SUMUP_API_KEY"])
result = client.checkouts.list_available_payment_methods(
    "MH4H92C7",
    amount=9.99,
    currency="EUR",
)
print(result)

```

### PHP

```php
<?php

declare(strict_types=1);

require __DIR__ . '/vendor/autoload.php';

$sumup = new \SumUp\SumUp('sup_sk_your_api_key');

$queryParams = new \SumUp\Services\CheckoutsListAvailablePaymentMethodsParams();
$queryParams->amount = 9.99;
$queryParams->currency = 'EUR';

$result = $sumup->checkouts()->listAvailablePaymentMethods(
    'MH4H92C7',
    $queryParams,
);

var_dump($result);

```

### Go

```go
package main

import (
	"context"
	"fmt"

	"github.com/sumup/sumup-go"
)

func main() {
	client := sumup.NewClient()
	result, err := client.Checkouts.ListAvailablePaymentMethods(context.TODO(), "MH4H92C7", sumup.CheckoutsListAvailablePaymentMethodsParams{
		Amount:   new(float64(9.99)),
		Currency: new("EUR"),
	})
	if err != nil {
		panic(err.Error())
	}

	fmt.Printf("%+v\n", result)
}

```

### Rust

```rust
use sumup::{Authorization, Client};
#[tokio::main]
async fn main() {
    let client = Client::default()
        .with_authorization(Authorization::api_key("sup_sk_test_..."));
    let response = client
        .checkouts()
        .list_available_payment_methods(
            "MERCHANT_CODE",
            sumup::resources::checkouts::ListAvailablePaymentMethodsParams::builder()
                .build(),
        )
        .await
        .expect("list_available_payment_methods request failed");
    println!("{response:#?}");
}

```

### cURL

```bash
curl --request GET \
  --url https://api.sumup.com/v0.1/merchants/MH4H92C7/payment-methods \
  --header 'Authorization: Bearer <token>'
```

## Responses

### 200

Available payment methods

#### Example

```json
{
  "available_payment_methods": [
    {
      "id": "apple_pay"
    },
    {
      "id": "blik"
    }
  ]
}
```

- `available_payment_methods` (`GetPaymentMethods.response.200.available_payment_methods`; array<object>, optional) — Payment methods available to the merchant for the checkout.
  - example `[{"id":"apple_pay"},{"id":"blik"}]`
  - `id` (`GetPaymentMethods.response.200.available_payment_methods.id`; string, required) — Unique identifier of the payment method.
    - example `"qr_code_pix"`

### 400

The request is invalid for the submitted query parameters.

#### Example

```json
{
  "failed_constraints": [
    {
      "message": "Currency must also be specified when filtering by amount",
      "reference": "currency"
    }
  ],
  "status": 400,
  "title": "Bad Request"
}
```

- `title` (`GetPaymentMethods.response.400.title`; string, optional) — Short title of the error.
  - example `"Bad Request"`
- `details` (`GetPaymentMethods.response.400.details`; string, optional) — Details of the error.
  - example `"One or more of the parameters are invalid."`
- `status` (`GetPaymentMethods.response.400.status`; number, optional) — HTTP status code for the error.
  - example `400`
- `failed_constraints` (`GetPaymentMethods.response.400.failed_constraints`; array<object>, optional) — List of violated validation constraints.
  - example `[{"message":"Currency must also be specified when filtering by amount","reference":"currency"}]`
  - `message` (`GetPaymentMethods.response.400.failed_constraints.message`; string, optional) — Human-readable description of the violated constraint.
    - example `"Currency must also be specified when filtering by amount"`
  - `reference` (`GetPaymentMethods.response.400.failed_constraints.reference`; string, optional) — Name of the field that violated the constraint.
    - example `"currency"`


Source: https://developer.sumup.com/api/checkouts/list-available-payment-methods/index.md
